//
//  AppDelegate.h
//  start_as_root_example
//
//  Created by Johannes Schröter on 13.01.13.
//  Copyright (c) 2013 devwerks.net. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface AppDelegate : NSObject <NSApplicationDelegate>

@property (assign) IBOutlet NSWindow *window;

@property (readonly, strong, nonatomic) NSPersistentStoreCoordinator *persistentStoreCoordinator;
@property (readonly, strong, nonatomic) NSManagedObjectModel *managedObjectModel;
@property (readonly, strong, nonatomic) NSManagedObjectContext *managedObjectContext;

@property (assign) IBOutlet NSButton *getRoot;
@property (assign) IBOutlet NSTextView *logView;

- (IBAction)saveAction:(id)sender;
- (IBAction)getRootRights:(id)sender;

@end
